Bug 869272 - anaconda-ks.cfg doesn't contain RAID commands
anaconda-ks.cfg doesn't contain RAID commands
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-10-23 09:01 EDT by Jan Stodola
Modified: 2014-02-05 07:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:40:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
anaconda-ks.cfg (1019 bytes, text/plain)
2012-10-23 09:03 EDT, Jan Stodola
no flags Details
anaconda.log (41.28 KB, text/plain)
2012-10-23 09:03 EDT, Jan Stodola
no flags Details
anaconda.program.log (49.57 KB, text/plain)
2012-10-23 09:03 EDT, Jan Stodola
no flags Details
anaconda.storage.log (748.92 KB, text/plain)
2012-10-23 09:03 EDT, Jan Stodola
no flags Details
syslog (37.71 KB, text/plain)
2012-10-23 09:03 EDT, Jan Stodola
no flags Details

  None (edit)
Description Jan Stodola 2012-10-23 09:01:58 EDT
Description of problem:
anaconda-ks.cfg file doesn't contain commands for RAID partitions.

Version-Release number of selected component (if applicable):
anaconda-18.19-1.fc18

How reproducible:
always

Steps to Reproduce:
1. start graphical installation on a system with 2 or more drives
2. proceed to custom partitioning, select all available drives
3. remove all existing partitions
4. create / mount point, customize it and select Device Type: RAID
5. check "Redundancy (mirror)", uncheck "Optimized performance (stripe)"
6. create /boot and swap partitions and finish the install
7. check /root/anaconda-ks.cfg on installed system

Actual results:
RAID commands are missing

Expected results:
RAID commands are present, kickstart can be used to perform new installation with RAID partitioning
Comment 1 Jan Stodola 2012-10-23 09:03:01 EDT
Created attachment 632089 [details]
anaconda-ks.cfg
Comment 2 Jan Stodola 2012-10-23 09:03:05 EDT
Created attachment 632090 [details]
anaconda.log
Comment 3 Jan Stodola 2012-10-23 09:03:08 EDT
Created attachment 632091 [details]
anaconda.program.log
Comment 4 Jan Stodola 2012-10-23 09:03:11 EDT
Created attachment 632092 [details]
anaconda.storage.log
Comment 5 Jan Stodola 2012-10-23 09:03:14 EDT
Created attachment 632093 [details]
syslog
Comment 6 Chris Lumens 2012-10-23 11:07:20 EDT
It looks like first off, we think this should be autopart and second off, that's also getting written out wrong:

 --type=plain
Comment 7 Fedora End Of Life 2013-12-21 04:10:41 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2014-02-05 07:40:49 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.